
QGIS Application - Bug report #1500

Blank fieldnames in new vector layers

2009-01-21 10:24 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11560

Description

It is possible to create a new field of any type with empty name when creating a shapefile, guess this should not be possible.

History

#1 - 2009-06-12 02:09 PM - Redmine Admin

- Status changed from Open to In Progress

#2 - 2010-02-18 03:38 PM - Maxim Dubinin

Any news on this bug? It still persists in 1.5 (commit:34144244 (SVN r12954))

On top of that, user can create a field without setting length for text field, which will be set to 80 characters.

IMHO, this is not very intuitive, either 80 should be shown when field is created or warning message should be shown.

#3 - 2010-04-19 10:29 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from In Progress to Closed

Seems it fixed. In commit:9b4e8c09 (SVN r13326) I can't create new field with empty name.
